javax.xml.bind

## Interface ValidationEventHandler

- All Known Implementing Classes:
    DefaultValidationEventHandler, ValidationEventCollector

      public interface ValidationEventHandler

  A basic event handler interface for validation errors.

  If an application needs to implement customized event handling, it must implement this interface and then register it with either the `Unmarshaller`, the `Validator`, or the `Marshaller`. The JAXB Provider will then report validation errors and warnings encountered during the unmarshal, marshal, and validate operations to these event handlers.

  If the `handleEvent` method throws an unchecked runtime exception, the JAXB Provider must treat that as if the method returned false, effectively terminating whatever operation was in progress at the time (unmarshal, validate, or marshal).

  Modifying the Java content tree within your event handler is undefined by the specification and may result in unexpected behaviour.

  Failing to return false from the `handleEvent` method after encountering a fatal error is undefined by the specification and may result in unexpected behavior.

  Default Event Handler

  > See: Validator javadocs

  Since:
    JAXB1.0
  See Also:
    `Unmarshaller`, `Validator`, `Marshaller`, `ValidationEvent`, `ValidationEventCollector`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `handleEvent(ValidationEvent event)` | Receive notification of a validation warning or error.

- - ### Method Detail

    - #### handleEvent

          boolean handleEvent(ValidationEvent event)

      Receive notification of a validation warning or error. The ValidationEvent will have a `ValidationEventLocator` embedded in it that indicates where the error or warning occurred.

      If an unchecked runtime exception is thrown from this method, the JAXB provider will treat it as if the method returned false and interrupt the current unmarshal, validate, or marshal operation.

      Parameters:
        `event` - the encapsulated validation event information. It is a provider error if this parameter is null.
      Returns:
        true if the JAXB Provider should attempt to continue the current unmarshal, validate, or marshal operation after handling this warning/error, false if the provider should terminate the current operation with the appropriate `UnmarshalException`, `ValidationException`, or `MarshalException`.
      Throws:
        `IllegalArgumentException` - if the event object is null.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.